FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007232108.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007232108.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7081ab0 OS_GIT_VERSION=4.4.0-202007232108.p0-7081ab0 SOURCE_DATE_EPOCH=1591181065 SOURCE_GIT_COMMIT=7081ab0aa79ef5cd1adee75c071dd36c8402dbfd SOURCE_GIT_TAG=4.0.0-474-g7081ab0aa SOURCE_GIT_URL=https://github.com/openshift/cluster-image-registry-operator 
WORKDIR /go/src/github.com/openshift/cluster-image-registry-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.4.0.20200723.213359
ENV __doozer=update BUILD_RELEASE=202007232108.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007232108.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7081ab0 OS_GIT_VERSION=4.4.0-202007232108.p0-7081ab0 SOURCE_DATE_EPOCH=1591181065 SOURCE_GIT_COMMIT=7081ab0aa79ef5cd1adee75c071dd36c8402dbfd SOURCE_GIT_TAG=4.0.0-474-g7081ab0aa SOURCE_GIT_URL=https://github.com/openshift/cluster-image-registry-operator 
COPY images/bin/entrypoint.sh /usr/bin/
COPY manifests/image-references manifests/0* /manifests/
COPY vendor/github.com/openshift/api/imageregistry/v1/*-crd.yaml /manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-image-registry-operator/tmp/_output/bin/cluster-image-registry-operator /usr/bin/
RUN ln /usr/bin/cluster-image-registry-operator /usr/bin/cluster-image-registry-operator-watch && \
    chmod -R g+w /etc/pki/ca-trust/extracted/pem/

ENTRYPOINT ["/usr/bin/entrypoint.sh"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-image-registry-operator" \
        com.redhat.component="ose-cluster-image-registry-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Image Registry" \
        release="202007232108.p0" \
        io.openshift.build.commit.id="7081ab0aa79ef5cd1adee75c071dd36c8402dbfd" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-image-registry-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-image-registry-operator/commit/7081ab0aa79ef5cd1adee75c071dd36c8402dbfd" \
        version="v4.4.0"

